View Issue Details

IDProjectCategoryView StatusLast Update
14559Bug reports[All Projects] Theme editorpublic2019-05-29 16:39
ReporterDenisChenuAssigned Todominikvitt 
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.15.x 
Target VersionFixed in Version3.17.x 
Summary14559: Theme editor load parent theme.css
Description

In Skelvanilla : i put an empty theme.css , but the one from vanilla seems loaded.

Steps To Reproduce

Import skelvanilla , test : no padding on body
Go to edit template : padding on body

https://dl.sondages.pro/skelvanilla.zip

Additional Information

https://gitlab.com/SondagesPro/SurveyThemes/skelvanilla/blob/master/config.xml#L35
https://gitlab.com/SondagesPro/SurveyThemes/skelvanilla/blob/master/css/theme.css

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.15.9 github
I will donate to the project if issue is resolvedNo
Browserff
Database & DB-Versionnot relevant
Server OS (if known)not relevant
Webserver software & version (if known)not relevant
PHP Versionnot relevant

Relationships

related to 14255 closeddominikvitt Current global theme option didn't update preview 
related to 14941 resolveddominikvitt Variations choosed in Global are not set in preview 

Activities

DenisChenu

DenisChenu

2019-02-20 17:04

developer  

Capture d’écran du 2019-02-20 17-04-08.png (130,566 bytes)
dominikvitt

dominikvitt

2019-05-27 18:19

developer   ~52118

https://github.com/LimeSurvey/LimeSurvey/commit/206c3aa12673d54f204d363082f1c86536fb52fd

DenisChenu

DenisChenu

2019-05-27 18:38

developer   ~52119

Thank you \o/

(i just report one more : variations … )

c_schmitz

c_schmitz

2019-05-29 16:12

administrator   ~52166

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=28875

c_schmitz

c_schmitz

2019-05-29 16:39

administrator   ~52221

Version 3.17.4+190529 released

Related Changesets

LimeSurvey: master 206c3aa1

2019-05-27 18:15:49

Dominik Vitt

Details Diff
Fixed issue 14559: Theme editor loads parent theme.css file instead of current theme.css file Affected Issues
14559
mod - application/models/TemplateConfig.php Diff File

Issue History

Date Modified Username Field Change
2019-02-20 17:04 DenisChenu New Issue
2019-02-20 17:04 DenisChenu Status new => assigned
2019-02-20 17:04 DenisChenu Assigned To => LouisGac
2019-02-20 17:04 DenisChenu File Added: Capture d’écran du 2019-02-20 17-04-08.png
2019-05-24 00:20 DenisChenu Relationship added related to 14255
2019-05-27 18:19 dominikvitt Assigned To LouisGac => dominikvitt
2019-05-27 18:19 dominikvitt Status assigned => resolved
2019-05-27 18:19 dominikvitt Resolution open => fixed
2019-05-27 18:19 dominikvitt Fixed in Version => 3.17.x
2019-05-27 18:19 dominikvitt Note Added: 52118
2019-05-27 18:38 DenisChenu Note Added: 52119
2019-05-27 18:42 DenisChenu Relationship added related to 14941
2019-05-29 16:12 Changeset attached => LimeSurvey master 206c3aa1
2019-05-29 16:12 c_schmitz Note Added: 52166
2019-05-29 16:39 c_schmitz Note Added: 52221
2019-05-29 16:39 c_schmitz Status resolved => closed